#! /bin/bash

set -xeu

BROWSER="${browser:-chromium}"
# Using the Edge bundle should be fixed by
# https://jira.eyeo.com/browse/EE-334
if [ "$BROWSER" = "chromium" ] || [ "$BROWSER" = "edge" ]; then
  BUNDLE=chrome
else
  BUNDLE=$BROWSER
fi

npm install
if [ "$BROWSER" != "firefox" ]; then
  npm run subscriptions
  npm run rules
fi
npm run build

rm -rf testpages.adblockplus.org
git clone https://gitlab.com/eyeo/developer-experience/testpages.adblockplus.org

cp ./bundles/$BUNDLE.zip ./testpages.adblockplus.org

pushd ./testpages.adblockplus.org
docker build -t compliance --build-arg EXTENSION_FILE="$BUNDLE.zip" .

SKIP="((?!Subscriptions|Sitekey|Header).)"
TERMINAL="${TERMINAL:-it}"
TESTS_TO_INCLUDE="${TESTS_TO_INCLUDE:-}"
VERSION="${version:-latest}"
docker run --cpus=2 --memory=8g --shm-size=2g -$TERMINAL \
  -e SKIP_EXTENSION_DOWNLOAD="true" -e CUSTOM_BROWSER=$BROWSER \
  -e BROWSER_VERSION="$VERSION" -e GREP="^.*$BROWSER$SKIP*\$" \
  -e TESTS_TO_INCLUDE="$TESTS_TO_INCLUDE" compliance
